org.apache.ignite.internal.visor.node

## Class VisorNodeDataCollectorTaskArg

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorNodeDataCollectorTaskArg

All Implemented Interfaces:
  Serializable

    public class VisorNodeDataCollectorTaskArg
    extends Object
    implements Serializable

Data collector task arguments.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorNodeDataCollectorTaskArg()` Default constructor.
`VisorNodeDataCollectorTaskArg(boolean taskMonitoringEnabled, String evtOrderKey, String evtThrottleCntrKey, int sample, boolean sysCaches)` Create task arguments with given parameters.

### Method Summary

Methods
`String` `eventsOrderKey()`
`void` `eventsOrderKey(String evtOrderKey)`
`String` `eventsThrottleCounterKey()`
`void` `eventsThrottleCounterKey(String evtThrottleCntrKey)`
`int` `sample()`
`void` `sample(int sample)`
`boolean` `systemCaches()`
`void` `systemCaches(boolean sysCaches)`
`boolean` `taskMonitoringEnabled()`
`void` `taskMonitoringEnabled(boolean taskMonitoringEnabled)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorNodeDataCollectorTaskArg

    public VisorNodeDataCollectorTaskArg()

Default constructor.

#### VisorNodeDataCollectorTaskArg

    public VisorNodeDataCollectorTaskArg(boolean taskMonitoringEnabled,
                                 String evtOrderKey,
                                 String evtThrottleCntrKey,
                                 int sample,
                                 boolean sysCaches)

Create task arguments with given parameters.

Parameters:
  `taskMonitoringEnabled` - If `true` then Visor should collect information about tasks.
  `evtOrderKey` - Event order key, unique for Visor instance.
  `evtThrottleCntrKey` - Event throttle counter key, unique for Visor instance.
  `sample` - How many entries use in sampling.
  `sysCaches` - If `true` then collect information about system caches.

### Method Detail

#### taskMonitoringEnabled

    public boolean taskMonitoringEnabled()

Returns:
  `true` if Visor should collect information about tasks.

#### taskMonitoringEnabled

    public void taskMonitoringEnabled(boolean taskMonitoringEnabled)

Parameters:
  `taskMonitoringEnabled` - If `true` then Visor should collect information about tasks.

#### eventsOrderKey

    public String eventsOrderKey()

Returns:
  Key for store and read last event order number.

#### eventsOrderKey

    public void eventsOrderKey(String evtOrderKey)

Parameters:
  `evtOrderKey` - Key for store and read last event order number.

#### eventsThrottleCounterKey

    public String eventsThrottleCounterKey()

Returns:
  Key for store and read events throttle counter.

#### eventsThrottleCounterKey

    public void eventsThrottleCounterKey(String evtThrottleCntrKey)

Parameters:
  `evtThrottleCntrKey` - Key for store and read events throttle counter.

#### sample

    public int sample()

Returns:
  Number of items to evaluate cache size.

#### sample

    public void sample(int sample)

Parameters:
  `sample` - Number of items to evaluate cache size.

#### systemCaches

    public boolean systemCaches()

Returns:
  `true` if Visor should collect metrics for system caches.

#### systemCaches

    public void systemCaches(boolean sysCaches)

Parameters:
  `sysCaches` - `true` if Visor should collect metrics for system caches.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015